Rygel.VisualItem – librygel-server Reference Manual

# VisualItem

## Object Hierarchy:

## Description:

public interface VisualItem : MediaItem

An interface that visual (video and image) items must implement.

All known implementing classes:

- ImageItem

- VideoItem

Namespace: Rygel
Package: librygel-server

## Content:

### Properties:

- public abstract `int` width { set; get; }
  The width of the item in pixels. A value of -1 means that the width is unknown and will not, or did not, appear in DIDL-Lite XML.
- public abstract `int` height { set; get; }
  The height of the item in pixels. A value of -1 means that the height is unknown and will not, or did not, appear in DIDL-Lite XML.
- public abstract `int` color_depth { set; get; }
  The number of bits per pixel used to represent the video or image resource. A value of -1 means that the color depth is unknown and will not, or did not, appear in DIDL-Lite XML.
- public abstract `ArrayList`<Thumbnail> thumbnails { protected set; get; }
  Thumbnail pictures to represent the video or image resource.

### Inherited Members:

All known members inherited from class Rygel.MediaItem

- date
- mime_type
- dlna_profile
- size
- place_holder

- description
- create_stream_source
- is_live_stream
- streamable

- add_uri
- get_protocol_info
- add_resources
- address_regex

All known members inherited from class Rygel.MediaObject

- id
- ref_id
- upnp_class
- modified
- object_update_id

- parent
- parent_ref
- title
- constructed
- get_writable

- get_writables
- compare_string_props
- compare_int_props
- uris
- parent_ptr

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count